Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.driver
Interface VariationAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface VariationAdaptor
extends Adaptor

The point of this class is ...

Author:
  Craig Melsopp

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`Variation` | `fetch(long internalID)` Fetch variation by internal id.
`java.util.List` | `fetch(long[] internalIDs)` Fetch variations by their internal ids.
`Variation` | `fetch(java.lang.String name)` Fetch variation by name.
`void` | `fetchFlankingSequence(Variation variation)` Loads flanking sequence for variation.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public Variation fetch(long internalID)
                    throws AdaptorException

  Fetch variation by internal id.

  Parameters:
    `internalID` - internal ID of the variation
  Returns:
    variation with specified internal id or null if none found.
  Throws:
    `AdaptorException`

### fetch

    public java.util.List fetch(long[] internalIDs)
                         throws AdaptorException

  Fetch variations by their internal ids.

  Returns:
    zero or more Variations with the specified internalIDs.
  Throws:
    `AdaptorException`

### fetch

    public Variation fetch(java.lang.String name)
                    throws AdaptorException

  Fetch variation by name.

  Parameters:
    `name` - name of the variation
  Returns:
    variation with specified name or null if none found.
  Throws:
    `AdaptorException`

### fetchFlankingSequence

    public void fetchFlankingSequence(Variation variation)
                               throws AdaptorException

  Loads flanking sequence for variation.

  Parameters:
    `variation` - variation to load flanking sequence for.
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD